#ifndef GLPANEL_H
#define GLPANEL_H

#include <QtOpenGL/QGLWidget>

class GLPanel : public QGLWidget
{
    Q_OBJECT // must include this if you use Qt Signals & Slots

public:
    GLPanel(QWidget *parent = 0);

protected:
    int  m_w; // width: GL canvas horizontal size
    int  m_h; // height: GL canvas vertical size
    void initializeGL();
    void resizeGL(int _width, int _height);
    void paintGL();
};

#endif // GLPANEL_H
